VERSION 2.00
Begin Form ExtractDialog 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Select destination directory"
   ClientHeight    =   3765
   ClientLeft      =   4530
   ClientTop       =   2880
   ClientWidth     =   4875
   ClipControls    =   0   'False
   Height          =   4200
   Left            =   4470
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3765
   ScaleWidth      =   4875
   Top             =   2505
   Width           =   4995
   Begin CommandButton OKbutton 
      Caption         =   "OK"
      Height          =   405
      Left            =   3430
      TabIndex        =   5
      Top             =   135
      Width           =   1290
   End
   Begin SSPanel Panel3D2 
      Alignment       =   2  'Left Justify - BOTTOM
      BackColor       =   &H00C0C0C0&
      Font3D          =   0  'None
      Height          =   3765
      Left            =   0
      RoundedCorners  =   0   'False
      TabIndex        =   0
      Top             =   0
      Width           =   4875
      Begin SSPanel ExtractToPanel 
         Alignment       =   1  'Left Justify - MIDDLE
         AutoSize        =   3  'AutoSize Child To Panel
         BackColor       =   &H00FFFFFF&
         BevelOuter      =   1  'Inset
         Font3D          =   0  'None
         Height          =   330
         Left            =   150
         TabIndex        =   7
         Top             =   375
         Width           =   3120
      End
      Begin CommandButton CancelButton 
         Caption         =   "Cancel"
         Height          =   405
         Left            =   3430
         TabIndex        =   6
         Top             =   660
         Width           =   1290
      End
      Begin SSPanel Panel3D3 
         Alignment       =   2  'Left Justify - BOTTOM
         AutoSize        =   3  'AutoSize Child To Panel
         BackColor       =   &H00FFFFFF&
         BevelOuter      =   1  'Inset
         Font3D          =   0  'None
         Height          =   345
         Left            =   150
         RoundedCorners  =   0   'False
         TabIndex        =   2
         Top             =   3285
         Width           =   3135
         Begin DriveListBox ExtractDrive 
            Height          =   315
            Left            =   15
            TabIndex        =   3
            Top             =   15
            Width           =   3105
         End
      End
      Begin SSPanel Panel3D1 
         Alignment       =   2  'Left Justify - BOTTOM
         AutoSize        =   3  'AutoSize Child To Panel
         BackColor       =   &H00FFFFFF&
         BevelOuter      =   1  'Inset
         Font3D          =   0  'None
         Height          =   1860
         Left            =   135
         RoundedCorners  =   0   'False
         TabIndex        =   1
         Top             =   1095
         Width           =   3150
         Begin DirListBox ExtractDirListBox 
            BackColor       =   &H00FFFFFF&
            ForeColor       =   &H00000000&
            Height          =   1830
            Left            =   15
            TabIndex        =   4
            Top             =   15
            Width           =   3120
         End
      End
      Begin Label Label1 
         BackStyle       =   0  'Transparent
         Caption         =   "Drives:"
         Height          =   240
         Left            =   150
         TabIndex        =   8
         Top             =   3045
         Width           =   1380
      End
      Begin Label DirectoriesLegendLabel 
         BackStyle       =   0  'Transparent
         Caption         =   "Directories:"
         Height          =   240
         Left            =   150
         TabIndex        =   10
         Top             =   870
         Width           =   1380
      End
      Begin Label ExtractLegendLabel 
         BackStyle       =   0  'Transparent
         Caption         =   "Extract files to:"
         Height          =   240
         Left            =   150
         TabIndex        =   9
         Top             =   135
         Width           =   1380
      End
   End
End
Option Explicit

' Cancel button clicked - Don't change anything
'
Sub CancelButton_Click ()

   ExtractDialogCanceled = True
   Unload ExtractDialog

End Sub

' User has changed directories, set the ExtractToPanel caption.
'
Sub ExtractDirListBox_Change ()

   ExtractToPanel.Caption = ExtractDirListBox.List(ExtractDirListBox.ListIndex)

End Sub

' User has clicked in the drive selection box. Update
' the Directory list box, Make sure the selected drive
' is active to prevent a crash.
'
Sub ExtractDrive_Change ()
   Dim Message As String

   On Error GoTo Handle_Invalid_Drive
   ExtractDirListBox.Path = ExtractDrive.Drive
   Exit Sub

Handle_Invalid_Drive:
   
   Message = UCase(ExtractDrive.Drive) + "\ is not accessible"
   Message = Message + Chr$(13) + Chr$(13)
   Message = Message + "The device is not ready"
   MsgBox Message, Mb_IconStop, "Error"
   ExtractDrive.Drive = ExtractDirListBox.Path
   Resume Next

End Sub

' When the form loads, set the directory and drive list boxes
' to the proper directory.
'
Sub Form_Load ()

   If Len(MainForm.MainXz.ExtractDirectory) > 0 Then
      ExtractToPanel.Caption = MainForm.MainXz.ExtractDirectory
      ExtractDirListBox.Path = MainForm.MainXz.ExtractDirectory
      ExtractDrive.Drive = MainForm.MainXz.ExtractDirectory
   Else
      ExtractToPanel.Caption = ExtractDirListBox.List(ExtractDirListBox.ListIndex)
   End If

   Me.Top = Screen.Height / 2 - Me.Height / 2
   Me.Left = Screen.Width / 2 - Me.Width / 2

End Sub

' User has clicked on OK, Set XceedZip VBX's ExtractDirectory property.
'
Sub OKbutton_Click ()

   Dim ExtractToDirectory As String

   ExtractToDirectory = Trim$(ExtractToPanel.Caption)
   
   MainForm.MainXz.ExtractDirectory = ExtractToDirectory
   ExtractDialogCanceled = False
   Unload ExtractDialog

End Sub

