VERSION 2.00
Begin Form SelfExtractorOptions 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Self-Extractor Options"
   ClientHeight    =   4560
   ClientLeft      =   1860
   ClientTop       =   3990
   ClientWidth     =   5415
   ControlBox      =   0   'False
   Height          =   4995
   Left            =   1800
   LinkTopic       =   "Form1"
   ScaleHeight     =   4560
   ScaleWidth      =   5415
   Top             =   3615
   Width           =   5535
   Begin SSPanel Panel3D1 
      Alignment       =   2  'Left Justify - BOTTOM
      AutoSize        =   3  'AutoSize Child To Panel
      BackColor       =   &H00C0C0C0&
      Font3D          =   0  'None
      ForeColor       =   &H00800000&
      Height          =   4560
      Left            =   -15
      RoundedCorners  =   0   'False
      TabIndex        =   8
      Top             =   0
      Width           =   5430
      Begin CommandButton cmdSFXBinary 
         Caption         =   "..."
         Height          =   300
         Left            =   4995
         TabIndex        =   1
         Top             =   390
         Width           =   300
      End
      Begin CommandButton cmdCancel 
         Caption         =   "&Cancel"
         Height          =   390
         Left            =   4155
         TabIndex        =   6
         Top             =   4020
         Width           =   1125
      End
      Begin CommandButton cmdOK 
         Caption         =   "&OK"
         Height          =   390
         Left            =   2925
         TabIndex        =   5
         Top             =   4020
         Width           =   1125
      End
      Begin SSPanel Panel3D5 
         Alignment       =   1  'Left Justify - MIDDLE
         AutoSize        =   3  'AutoSize Child To Panel
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Font3D          =   0  'None
         ForeColor       =   &H00800000&
         Height          =   1500
         Left            =   135
         TabIndex        =   7
         Top             =   2370
         Width           =   5150
         Begin TextBox txtSFXIntroMsg 
            Height          =   1470
            Left            =   15
            MultiLine       =   -1  'True
            TabIndex        =   4
            Text            =   "Text1"
            Top             =   15
            Width           =   5115
         End
      End
      Begin SSPanel Panel3D4 
         Alignment       =   1  'Left Justify - MIDDLE
         AutoSize        =   3  'AutoSize Child To Panel
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Font3D          =   0  'None
         ForeColor       =   &H00800000&
         Height          =   285
         Left            =   150
         TabIndex        =   15
         Top             =   1725
         Width           =   5150
         Begin TextBox txtSFXExitButton 
            Height          =   255
            Left            =   15
            TabIndex        =   3
            Text            =   "Text1"
            Top             =   15
            Width           =   5115
         End
      End
      Begin SSPanel Panel3D3 
         Alignment       =   1  'Left Justify - MIDDLE
         AutoSize        =   3  'AutoSize Child To Panel
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Font3D          =   0  'None
         ForeColor       =   &H00800000&
         Height          =   285
         Left            =   135
         TabIndex        =   14
         Top             =   1065
         Width           =   5150
         Begin TextBox txtSFXDialogTitle 
            Height          =   255
            Left            =   15
            TabIndex        =   2
            Text            =   "Text1"
            Top             =   15
            Width           =   5115
         End
      End
      Begin SSPanel Panel3D2 
         Alignment       =   1  'Left Justify - MIDDLE
         AutoSize        =   3  'AutoSize Child To Panel
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Font3D          =   0  'None
         ForeColor       =   &H00800000&
         Height          =   285
         Left            =   165
         TabIndex        =   13
         Top             =   405
         Width           =   4785
         Begin TextBox txtSFXBinaryPath 
            Height          =   255
            Left            =   15
            TabIndex        =   0
            Text            =   "Text1"
            Top             =   15
            Width           =   4755
         End
      End
      Begin Label lblSFXDialogTitle 
         BackStyle       =   0  'Transparent
         Caption         =   "Enter the self-extractor's title"
         Height          =   225
         Left            =   150
         TabIndex        =   12
         Top             =   825
         Width           =   5145
      End
      Begin Label lblSFXExitButton 
         BackStyle       =   0  'Transparent
         Caption         =   "Enter the caption to use for the 'Exit' buttons"
         Height          =   225
         Left            =   150
         TabIndex        =   11
         Top             =   1485
         Width           =   5145
      End
      Begin Label lblSFXIntro 
         BackStyle       =   0  'Transparent
         Caption         =   "Enter the message to display in the introduction dialog"
         Height          =   225
         Left            =   150
         TabIndex        =   10
         Top             =   2130
         Width           =   5145
      End
      Begin Label lblSFXBinary 
         BackStyle       =   0  'Transparent
         Caption         =   "Select the self-extractor binary to use"
         Height          =   225
         Left            =   150
         TabIndex        =   9
         Top             =   165
         Width           =   5145
      End
   End
End
Option Explicit

Dim Change As Integer

Private Sub cmdCancel_Click ()

  Unload Me
  
End Sub

Private Sub cmdOK_Click ()

  UpdateSfxProperties
  Unload Me
  
End Sub

' User clicked on browse button for the self-extractor binary. Display the
' dialog box to allow user to select the self-extractor binary.
'
Private Sub cmdSfxBinary_Click ()
  
    Dim ArchiveName As String
  
    ArchiveName = SelectZipFile(SelectBin)
    If Len(ArchiveName) > 0 Then
      txtSFXbinaryPath = ArchiveName
    End If
 
End Sub

Sub DisplayCurrentSfxProperties ()

  txtSFXDialogTitle.Text = MainForm.MainXZ.SfxStrings(xssTitle)
  txtSFXExitButton.Text = MainForm.MainXZ.SfxButtons(xsbExit)
  txtSFXIntroMsg.Text = MainForm.MainXZ.SfxMessages(xsmIntro)
  txtSFXbinaryPath = MainForm.MainXZ.SfxBinary
  
  Change = False
  
End Sub

Private Sub Form_Load ()
  
  Change = False
  DisplayCurrentSfxProperties

  ' Centering the form
  Me.Top = Screen.Height / 2 - Me.Height / 2
  Me.Left = Screen.Width / 2 - Me.Width / 2


End Sub

Private Sub Form_QueryUnload (Cancel As Integer, UnloadMode As Integer)

  Dim UserAnswer As Integer
  
  If UnloadMode = 0 And Change = True Then
    UserAnswer = MsgBox("Do you want to discard the changes?", MB_YesNoCancel + MB_IconQuestion, "Self-Extractor Options")
    Select Case UserAnswer
      Case ID_NO
        UpdateSfxProperties
      Case ID_CANCEL
        Cancel = 1
      Case ID_YES
    End Select
  End If
  
End Sub

' Display a message box to the user to remind them that there are many
' settings that can be configured in the self-extractor that aren't offered
' in the Self-Extractor Options dialog box.
'
Private Sub Form_Unload (Cancel As Integer)
  Dim Message As String
    
  Message = "The self-extracting archives created by this sample application will have the following non-default property settings: " + Chr(13) + Chr(13)
  Message = Message + "   MainXZ.DefaultExtractDir = " + Chr(34) + "%e" + Chr(34) + " (Directory where self-extractor is run from)" + Chr(13)
  Message = Message + "   MainXZ.SfxButtons(Sfx_Button_Exit) =" + Chr(34) + MainForm.MainXZ.SfxButtons(xsbExit) + Chr(34) + Chr(13)
  Message = Message + "   MainXZ.SfxStrings(Sfx_String_Title) = " + Chr(34) + MainForm.MainXZ.SfxStrings(xssTitle) + Chr(34) + Chr(13)
  Message = Message + "   MainXZ.SfxMessages(Sfx_Message_Intro) = " + Chr(34) + Left$(Trim$(MainForm.MainXZ.SfxMessages(xsmIntro)), 50) + "..." + Chr(34) + Chr(13) + Chr(13)
  Message = Message + "The self-extractor dialog box only lets you configure a tiny portion of the self-extractor's settings. Look in the SetSfxConfiguration() procedure for a complete list of settings you can configure." + Chr(13)
  MsgBox Message, MB_OK + MB_ICONINFORMATION, "Self-Extractor Options"

End Sub

Private Sub txtSFXbinaryPath_Change ()

  Change = True

End Sub

Private Sub txtSFXDialogTitle_Change ()
  
  Change = True

End Sub

Private Sub txtSFXExitButton_Change ()
  
  Change = True

End Sub

Private Sub txtSFXIntroMsg_Change ()
  
  Change = True

End Sub

' This function sets the relevant self-extractor properties according
' to the selections made by the user in the Self-Extractor Options dialog box.
' This is only a subset of the available self-extractor properties.
'
Sub UpdateSfxProperties ()

  MainForm.MainXZ.SfxStrings(xssTitle) = txtSFXDialogTitle.Text
  MainForm.MainXZ.SfxButtons(xsbExit) = txtSFXExitButton.Text
  MainForm.MainXZ.SfxMessages(xsmIntro) = txtSFXIntroMsg.Text
  MainForm.MainXZ.SfxBinary = txtSFXbinaryPath
  
  Change = False
  
End Sub

