' Constants used by the Xceed Zip OCX

Global Const MethodStore = 0
Global Const MethodDeflate = 8
Global Const XcdFirstError = 100

' Error codes and Warning constants

Global Const XcdSuccess = 0

Global Const XcdWarningGeneral = 10
Global Const XcdWarningNoZipFile = 30
Global Const XcdWarningFilesSkipped = 40
Global Const XcdWarningEmptyZipFile = 50

Global Const XcdErrorNoZipFile = 100
Global Const XcdErrorZipStruct = 110
Global Const XcdErrorMemory = 120
Global Const XcdErrorBadCall = 130
Global Const XcdErrorNothingToDo = 140
Global Const XcdErrorDiskFull = 150
Global Const XcdErrorEOF = 160
Global Const XcdErrorLibInUse = 180
Global Const XcdErrorUserAbort = 190
Global Const XcdErrorTestFailed = 200
Global Const XcdErrorZeroTested = 210
Global Const XcdErrorDLLNotFound = 240
Global Const XcdErrorInternalLogic = 250
Global Const XcdErrorTempFile = 280
Global Const XcdErrorRead = 290
Global Const XcdErrorWrite = 300
Global Const XcdErrorCantCreateFile = 310
Global Const XcdErrorOpen = 320
Global Const XcdErrorParentDir = 350
Global Const XcdErrorNameRepeat = 370
Global Const XcdErrorLatest = 380
Global Const XcdErrorDOSError = 400
Global Const XcdErrorMultidisk = 410
Global Const XcdErrorWrongDisk = 420
Global Const XcdErrorMultiDiskBadCall = 430
Global Const XcdErrorCantOpenBinary = 440
Global Const XcdErrorCantOpenSFXConfig = 450
Global Const XcdErrorInvalidEventParam = 460
Global Const XcdErrorCantWriteSfx = 470
Global Const XcdErrorTargetBufferTooSmall = 480
Global Const XcdErrorBinaryVersion = 490
Global Const XcdErrorNotLicensed = 500
Global Const XcdErrorCantCreateDir = 510

' Constants for the Add and Extract methods

Global Const xecAll = 0
Global Const xecFreshen = 1
Global Const xecUpdate = 2

' Constants for the SkippingFile event's 'reason' parameter

Global Const xsrFileNotFound = 0
Global Const xsrBadVersion = 1
Global Const xsrBadCRC = 2
Global Const xsrUpToDate = 3
Global Const xsrUnableToOpen = 4
Global Const xsrBadPassword = 5
Global Const xsrBadData = 6
Global Const xsrOverwrite = 7

' Constants for the Replace event's Cmd parameter

Global Const xrcSkip = 0
Global Const xrcReplace = 1
Global Const xrcRename = 2
Global Const xrcAlwaysSkip = 3
Global Const xrcAlwaysReplace = 4

' Constants for the PwdQuery event's Cmd parameter when Extracting or Testing

Global Const xpcSkip = 0
Global Const xpcAlwaysSkip = 1
Global Const xpcNew = 2

' Constants for the PwdQuery event's Cmd parameter when Adding or Updating

Global Const xpcAddingNone = 3
Global Const xpcAddingNew = 4
Global Const xpcAddingNewAlwaysUse = 5

' Constants for the OverWrite property

Global Const xowAsk = 0
Global Const xowNever = 1
Global Const xowAlways = 2

' Constants for determining the file attributes specified in the
' 'attr' parameter that is provided when the OnAdding, OnExtracting,
' OnListing and OnUpdating events occur.

Global Const xfaReadOnly = 1
Global Const xfaHidden = 2
Global Const xfaSystem = 4
Global Const xfaVolume = 8
Global Const xfaDirectory = 16
Global Const xfaArchiveBit = 32

' Constant for multidisk mode

Global Const LastDisk = 0

' Constants for Self-extractor properties

Global Const xsbOk = 0
Global Const xsbCancel = 1
Global Const xsbAbort = 2
Global Const xsbSkip = 3
Global Const xsbAlwaysSkip = 4
Global Const xsbYes = 5
Global Const xsbNo = 6
Global Const xsbOverwriteAll = 7
Global Const xsbOverwriteNone = 8
Global Const xsbContinue = 9
Global Const xsbExit = 10
Global Const xsbAgree = 11
Global Const xsbRefuse = 12

Global Const xspDirectory = 0
Global Const xspPassword = 1
Global Const xspInsertLastDisk = 2
Global Const xspInsertDisk = 3
Global Const xspAbortExtract = 4
Global Const xspCreateDirectory = 5
Global Const xspOverwrite = 6

Global Const xssExtractingFile = 0
Global Const xssProgress = 1
Global Const xssTitle = 2
Global Const xssCurrentExtractDir = 3
Global Const xssDriveShare = 4
Global Const xssEntireNetwork = 5

Global Const xsmSuccess = 0
Global Const xsmFail = 1
Global Const xsmErrorCreatingDir = 2
Global Const xsmIntro = 3
Global Const xsmLicense = 4

